AC_DEFUN([AC_OPENSSL],
[
	AC_ARG_ENABLE(openssl,
		AC_HELP_STRING([--disable-openssl],
		               [disable usage of openssl]))

	AS_IF([test "x$enable_openssl" != "xno"], [
		AC_MSG_NOTICE("Use openssl if available")
		m4_include([m4/ax_check_openssl.m4])
		AX_CHECK_OPENSSL([OPENSSL="-DHAS_OPENSSL"],[OPENSSL=""])
		AC_SUBST([OPENSSL])
	])
])

# vim: set ft=m4 ts=2 sw=2:
